Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 20/04/2014, à 12:55

Mamar1985

Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

Bonjour à tous,

Voilà j'ai un petit soucis, je débute sous linux, j'ai quelques bases mais là j'avoue que je bloque.. Cette semaine j'ai téléchargé et installé Guitar Pro 6.deb et suivis à la lettre le tuto ==> http://doc.ubuntu-fr.org/guitarpro .

Voilà sauf que lorsque j'essaye de lancer l'installe, j'ai la logithèque qui démarre avec écrit : "impossible d'installer gksu:i386" ... bon voilà et comme je me sens chaud je me dit que je vais télécharger ce qui me manque... et voilà ce qu'il me dit dans le terminal :

root@Mamar-PC:/home/mamar# apt-get install gksu:i386
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
gksu:i386 : Dépend: libgksu2-0:i386 (>= 2.0.8) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Bon je bloque un peu si quelqu'un peut m'aider ce serait avec grand plaisir !

Bonne journée.

Hors ligne

#2 Le 20/04/2014, à 13:23

Caribou22

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

Salut !

Aucune idée du problème. Par contre est-ce que tu connais son équivalent libre Tuxguitar ? Il est dispo dans ta logithèque si jamais tu veux l'essayer. (Et compatible avec les fichiers Guitar Pro)
Mais bien-sûr si tu tiens à Guitar Pro, tu recevras de l'aide pour l'installer smile

Hors ligne

#3 Le 20/04/2014, à 15:04

Mamar1985

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

Salut Caribou22 wink

Merci pour ta réponse. J'ai téléchargé TuxGuitar mais bon ça ne vaut pas GuitarPro... bon peut être que je n'ai pas encore assez persévéré mais bon... j'aimerai bien rien que pour le principe réussi à installé GP6 wink

Hors ligne

#4 Le 16/05/2014, à 06:09

jean974

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

Bonjour
Je suis d'accord avec Mamar1985, tux guitar est loin de valoir Guitar Pro !!!

J'ai chargé 1404 à sa sortie, et tenté de relancer Guitar Pro qui fonctionnait bien avec 1204. Mais le 1404 était en 64 bits et l'assistance GP m'a répondu : "Malheureusement Guitar Pro 6 n'est pas supporté avec la version 64 bit d'Ubuntu".
Soit ! J'ai changé pour le  32 bits, ça ne charge pas non plus...  sad

J'utilise de plus en plus Musescore qui s'avère beaucoup plus rapide pour re-écrire les partitions qu'on veut travailler. Certaines fonctionnalités de Guitar Pro m'intéresseraient pourtant. Et puis on échange quelquefois et ça éviterait d'avoir à re-écrire.

Je reste donc à l'écoute en espérant que quelqu'un proposera une solution.

Hors ligne

#5 Le 18/05/2014, à 10:30

lennon seb

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

bonjour ,
idem je n'arrive pas a installer guitar pro 6 , je suis nouveau sur le system linux ubuntu , sur ma boite de cd de guitar pro 6 , il est pourtant noté que l'installation est possible avec windows , linux ubuntu ou mac , voila si quelqu'un a trouvé une solution ce serait sympas
seb

Dernière modification par lennon seb (Le 20/05/2014, à 20:03)

Hors ligne

#6 Le 22/05/2014, à 19:54

lennon seb

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

personne ? sad 
help me !!! i don't want to come back at windows  smile

Dernière modification par lennon seb (Le 22/05/2014, à 20:00)

Hors ligne

#7 Le 23/05/2014, à 05:27

jean974

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

lennon seb a écrit :

help me !!! i don't want to come back at windows  smile

big_smile  big_smile  big_smile

Moi non plus je ne voulais pas revenir à Windows, mais pourtant...

Le 64 bits de 1404 s'était installé automatiquement avec la mise à jour. Chouette, j'avais trouvé ça génial. Mais Guitar Po m'a répondu qu'il n'était pas compatible.
J'ai donc changé et je suis revenu au 32 bits. Et toujours pas possible de charger GP !

Décidément ils ne font aucun effort en direction des "libres" !!!
Je vais leur envoyer le lien avec ce fil, peut-être qu'ils bougeront ?

Hors ligne

#8 Le 25/05/2014, à 20:39

lennon seb

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

résolu !!!
yes !!! j'ai trouvé il suffit d'installer le logiciel wine (dans le logitheque ubuntu)  il prend en charge des logiciels qui fonctionnent sous windows
une fois que j'ai installé wine j'ai mis le dvd de guitar pro6 l'installation s'est faite sans probleme et ca marche !!!!!!!!!!!!
i'm happy

Dernière modification par lennon seb (Le 25/05/2014, à 21:55)

Hors ligne

#9 Le 31/05/2014, à 20:12

jean974

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

Bonjour

lennon seb a écrit :

résolu !!! yes !!! j'ai trouvé il suffit d'installer le logiciel wine (dans le logitheque ubuntu)  il prend en charge des logiciels qui fonctionnent sous windows
une fois que j'ai installé wine j'ai mis le dvd de guitar pro6 l'installation s'est faite sans probleme et ca marche !!!!!!!!!!!!

Oui c'estr une façon de voir les choses...
Toutefois Guitar Pro est un logiciel payant qui est proposé aussi en version LINUX.

J'estime que dans ces conditions il n'est pas normal que le suivi ne soit pas fait par Arobas !!!

Je les ai contactés et voici la réponse :

Supprimer ces 2 fichiers:

$HOME/.ArobasMusic/Guitar Pro 6/GuitarPro.dat

dans le « home directory » de l’utilisateur il y un répertoire « .ArobasMusic/Guitar Pro 6 »
qui contient le GuitarPro6.dat

Et celui ci:

/opt/GuitarPro6/GuitarPro.dat

Puis réinstaller le programme depuis votre espace client:
http://www.guitar-pro.com/fr/index.php?pg=support

Le problème c'est que je ne sais pas comment faire... Où trouve-t-on ces lignes déjà ???

Certainement pas avec le terminal puisque le paquet refuse de se charger et que si j'ai bien compris, il ne sera pas accessible dans le Terminal (même la version de démonstration d'ailleurs).

J'imagine qu'il faut plutôt aller à l'intérieur du paquet .deb pour enlever ces deux lignes ? Mais alors pourquoi ce paquet n'est pas proposé correctement dès le départ s'il suffit de faire ça ?

Je demande de l'aide s'il y a quelqu'un de compétent et intéressé par ce sujet.

Cordialement

Jean ARAGON

Hors ligne

#10 Le 27/06/2014, à 16:50

jean974

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

Bonjour

Je n'étais pas chez moi depuis un mois et j'avais mis en sommeil le problème Guitar Pro.
Je viens d'essayer à nouveau et miracle, aujourd'hui ça marche, et sans passer par wine.
A la mise en place automatique quand on clique dessus, l'indication "paquet corrompu" apparaît tout de même, mais en continuant quand même ça fonctionne maintenant   smile

Ont-ils changé quelque chose ? Les mises à jour d'ubuntu ont-elles apporté une facilitation ? Je suis incapable de répondre à ces questions, je constate tout juste que c'est bon.

Mon architecture est UBUNTU 1004 32 bits et G Pro 6.

Pour le 64 bits je n'essaye pas vu que tous les logiciels annexes sont installés en 32.
Ce post n'est peut-être pas à la bonne place du coup  roll

Hors ligne

#11 Le 27/06/2014, à 17:08

ljere

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

Bonjour,
cette discussion est bien placé par contre je ne la passe pas en [Résolu] car tous les intervenants n'ont pas l'air d'avoir réussi.

ljere pour l'équipe de modération


astuce nvidia FX5200
Toshiba satellite_c670d-11l ubuntu 18.04 64 bit

Hors ligne

#12 Le 02/07/2014, à 16:19

mézgue

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

si ça peut en intéresser certains, j'ai réussi à installer guitarpro sous Ubuntu 14.04 LTS x64 en m'inspirant de cette page ici
je vous préviens, ce n'est pas un modèle d'exemplarité, plutôt du bricolage

en terminal dans le dossier où se trouve le fichier gp6-full-linux-r11553.deb (c'est celui dont je dispose, peut être y en il de plus récent ?) :

Convertir le fichier deb en fichier tar
dpkg-deb --fsys-tarfile gp6-full-linux-r11553.deb > gp6.tar

l'extraire en avec droits root (l'extraction se fait dans /opt)
sudo tar -C / -xvf gp6.tar

installer les librairies de compatibilité 32 bits

là si on entre sudo apt install ia32-libs ça ne marche pas (plus depuis ubuntu 13.10 il me semble)
mais la ligne de commande dit que que cette librairie est remplacée par lib32z1 lib32ncurses5 lib32bz2-1.0
donc :
sudo apt install lib32z1 lib32ncurses5 lib32bz2-1.0

ce qui nous permet d'installer ensuite libportaudio2:i386
sudo apt install libportaudio2:i386



[ je n'ai pas rentré les commandes relatives à zlib voir le post du lien ci-dessus. À priori sans conséquences chez moi pour le moment ... ]
ensuite
cd /opt/GuitarPro6
afin le lancer la commande d'exécution
sh /opt/GuitarPro6/launcher.sh

Premier message d'erreur :
librairie manquante : libssl.so.0.9.8

je fais un locate libssl.so.0.9.8 dans mon terminal
je trouve la librairie dans le répertoire d'installation d'adobe reader (/opt/Adobe/Reader9/Reader/intellinux/lib/libssl.so.0.9.8)
Je fais un lien symbolique sur cette librairie pour voir ... (autre solution, installer le paquet, voir plus bas)
sudo ln -s /opt/Adobe/Reader9/Reader/intellinux/lib/libssl.so.0.9.8 /opt/GuitarPro6/libssl.so.0.9.8

et je relance sh /opt/GuitarPro6/launcher.sh
second message d'erreur
librairie manquante : libcrypto.so.0.9.8
rebelote : locate libcrypto.so.0.9.8
et de nouveau dans adobe reader
nouveau lien symbolique
sudo ln -s /opt/Adobe/Reader9/Reader/intellinux/lib/libcrypto.so.0.9.8 /opt/GuitarPro6/libcrypto.so.0.9.8

sh /opt/GuitarPro6/launcher.sh
et là ça démarre
(message d'erreurs sans conséquences : ./libcrypto.so.0.9.8: no version information available ainsi que QGtkStyle was unable to detect the current GTK+ theme)

j'ai pu rentrer mon userID et code puis charger les banques de son

PS : pour installer la librairie libssl0.9.8 : sudo apt install libssl0.9.8:i386
en revanche j'ai pas trouvé de librairie libcrypto0.9.8 dans les paquets ubuntu
en fait libcrypto0.9.8 est inclu dans libssl0.9.8
donc plus de dépendances

Dernière modification par mézgue (Le 02/07/2014, à 16:36)


Plutót qu'accuser Irma ou José, si l'on donnait aux cyclones les noms de ces 90 entreprises ?
L'ouragan Chevron, Exxon, BP, Gazprom, Total..

Hors ligne

#13 Le 25/07/2014, à 14:59

Namdab

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

Bonjour,

J'avais la même problématique traité sur un autre fil.
Le wiki a été mis à jour avec une nouvelle  procédure d'installation qui devrait résoudre les problèmes cités dans le thread : ici

Pour moi, tout fonctionne pour ubuntu 14.04 x64 en suivant la proc, quelqu'un rencontre encore des problèmes ?

Hors ligne

#14 Le 01/08/2014, à 13:10

Yann4140

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

Pour ma part je me prend la tête depuis un bon bout de temps avec un message d'erreur dans le terminal qui ne veut même pas accéder au paquet... 
dpkg-deb : erreur : impossible de lire l'archive « gp6-full-linux-r11553.deb »: Aucun fichier ou dossier de ce type

Je précise que le fichier existe bel et bien (il se trouve sur le bureau, et même problème en le laissant dans le dossier téléchargements)
Je m'en remet a quelque bonne âme pouvant me sortir de cette situation complètement absurde.

Hors ligne

#15 Le 02/08/2014, à 07:43

mézgue

Re : Problème installation Guitar Pro 6 Ubuntu 14.04 LTS x64

Yann4140 a écrit :

Pour ma part je me prend la tête depuis un bon bout de temps avec un message d'erreur dans le terminal qui ne veut même pas accéder au paquet... 
dpkg-deb : erreur : impossible de lire l'archive « gp6-full-linux-r11553.deb »: Aucun fichier ou dossier de ce type

Je précise que le fichier existe bel et bien (il se trouve sur le bureau, et même problème en le laissant dans le dossier téléchargements)
Je m'en remet a quelque bonne âme pouvant me sortir de cette situation complètement absurde.

apparemment tu ne dois pas être dans le répertoire du fichier lorsque tu lances ta commande dans le terminal

dans le terminal tu devrais d'abord taper quelque chose comme
cd ~/Bureau ou cd ~/Téléchargements selon que ton paquet se trouve sur le bureau ou dans le répertoire des téléchargements


Plutót qu'accuser Irma ou José, si l'on donnait aux cyclones les noms de ces 90 entreprises ?
L'ouragan Chevron, Exxon, BP, Gazprom, Total..

Hors ligne